Bug 1000543 - Wine is not registered as application to open application/x-ms-dos-executable files
Wine is not registered as application to open application/x-ms-dos-executable...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-23 11:39 EDT by František Zatloukal
Modified: 2015-02-18 06:24 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:24:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description František Zatloukal 2013-08-23 11:39:15 EDT
Description of problem:
Wine is not registered as application to open application/x-ms-dos-executable files.

Version-Release number of selected component (if applicable):
1.7.0-1.fc20
1.7.0-1.fc19

How reproducible:
Always

Steps to Reproduce:
1.Install wine
2.Try to open some exe file through GUI context menus

Actual results:
Wine is not in the list of application to open file, so it must be opened with terminal (by typing wine file.exe).

Expected results:
Wine should be the default application to open exe files instead of file-roller or other archive manager.

Additional info:
I've tested this in Fedora 19 and Fedora 20. Bug probably exists in Rawhide too, since there is the same version as in Fedora 20.
Comment 1 Andreas Bierfert 2013-08-25 10:34:47 EDT
This is certainly not correct. Wine registers these mime-types via wine.desktop (in the wine-desktop package). However, it may be your desktop-environment which does not respect or handle this correctly.
Comment 2 František Zatloukal 2013-08-26 06:28:58 EDT
Ok, I see KDE detected wine properly, but Gnome didn't. Should I report it as a bug against Gnome?
Comment 3 Christian Klomp 2013-09-10 11:16:57 EDT
I've had this too.
One can either set "application/x-ms-dos-executable=wine.desktop" as a default application in ~/.local/share/application/mimeapps.list

Or set "NoDisplay=true" to false in /usr/share/application/wine.desktop

Problem with the first is that it is per user and with the second you"ll get a pretty useless launcher in your menu.
I think it would be better if NoDisplay only affects the menu and not the file associations (the open with menu), or something similar.
Comment 4 Fedora End Of Life 2015-01-09 17:16:03 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-18 06:24:40 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.